output "cluster_endpoint" {
  description = "Endpoint for EKS control plane."
  value       = module.eks.cluster_endpoint
}

output "cluster_security_group_id" {
  description = "Security group ids attached to the cluster control plane."
  value       = module.eks.cluster_security_group_id
}

output "kubectl_config" {
  description = "kubectl config as generated by the module."
  value       = module.eks.kubeconfig
}

output "config_map_aws_auth" {
  description = "A kubernetes configuration to authenticate to this EKS cluster."
  value       = module.eks.config_map_aws_auth
}

output "region" {
  description = "AWS region"
  value       = var.region
}

output "cluster_name" {
  description = "Kubernetes Cluster Name"
  value       = local.cluster_name
}

output "vpc_id" {
  description = "VPC Id"
  value       = local.vpc_id
}

output "oidc" {
  value = (
    var.enable_oidc_provider[terraform.workspace]
    ? aws_iam_openid_connect_provider.cluster[0]
    : null
  )
}

output "vpc_flow_log_s3_arn" {
  value = module.flow_log_s3.s3_bucket_arn
}

output "vpc_flow_log_id" {
  value = module.vpc.vpc_flow_log_id
}
